LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Newbie (http://www.linuxquestions.org/questions/linux-newbie-8/)
-   -   Synaptic package manager error when trying to upgrade & update (http://www.linuxquestions.org/questions/linux-newbie-8/synaptic-package-manager-error-when-trying-to-upgrade-and-update-784548/)

MACD2010 01-25-2010 05:31 AM

Synaptic package manager error when trying to upgrade & update
 
How can I find which packages are broken and how can I fix them (step by step please)


When I try to reload packages or fix broken packages I get this:
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.

if i go to synaptic manager, click the edit button and there is a fix broken package option. After selecting it i get the following error,

E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.
E: Unable to correct dependencies

If anyone can assist I will greatly appreciate it.

(NB: I am running PCLinuxOS release 2010 (PCLinuxOS) for i586
Kernel 2.6.26.8.tex3 on a Dual-processor i686)

repo 01-25-2010 06:24 AM

Take a look at post #6
http://www.linuxforums.org/forum/deb...ency-more.html

MACD2010 01-26-2010 06:40 AM

A thousand thank you's
 
Thank you for your assistance it solved my problem.


All times are GMT -5. The time now is 08:52 AM.